API referenceAgents and workflowsWorkflow runs
Get a run with its step trail and the executed spec
Requires the workflows:read permission.
AuthorizationBearer <token>
An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/workflow-runs/string"{ "approval_message": "string", "created_at": "2019-08-24T14:15:22Z", "cursor_node_id": "string", "error": "string", "finished_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "input": {}, "llm_calls": 0, "output": {}, "spec": {}, "started_at": "2019-08-24T14:15:22Z", "state": "string", "steps": [ { "attempt": 0, "error": "string", "finished_at": "2019-08-24T14:15:22Z", "input": {}, "node_id": "string", "node_type": "string", "output": {}, "seq": 0, "started_at": "2019-08-24T14:15:22Z", "state": "string", "tokens": 0 } ], "steps_executed": 0, "tokens_total": 0, "trigger_kind": "string", "version": 0, "workflow_id": "03e70e31-d7a4-4401-a629-6a4b6096cdfe"}